#pragma once

#include "TickData.h"
#include <string>
#include <vector>
#include <string_view> // For std::string_view

namespace CsvParser {
    TickData parseTickCsvLine(std::string_view line);
    std::vector<TickData> parseTickCsvFile(std::string_view filename);
} // namespace CsvParser
